POST API/Vehicle/GetVehicleService
Request Information
URI Parameters
None.
Body Parameters
VehicleServiceM| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | globally unique identifier |
None. |
|
| Vehicle_ID | globally unique identifier |
None. |
|
| ServiceType_ID | integer |
None. |
|
| Description | string |
None. |
|
| Amount | integer |
None. |
|
| ExpireDate | date |
None. |
|
| CreateDate | date |
None. |
|
| UpdatePerson_ID | globally unique identifier |
None. |
|
| InstallationDate | date |
None. |
|
| Status | boolean |
None. |
|
| SendForExpens | Collection of SendForExpensM |
None. |
|
| documents | Collection of DocumentM |
None. |
|
| documentsForService | Collection of DocumentM |
None. |
Request Formats
application/json, text/json
Sample:
{
"ID": "952a6cd8-c91f-4edf-b486-b6e342e94f1e",
"Vehicle_ID": "d4b1b067-36f6-424f-9562-e5e8ddebef32",
"ServiceType_ID": 3,
"Description": "sample string 4",
"Amount": 1,
"ExpireDate": "2026-03-18T05:01:56.8957209+05:00",
"CreateDate": "2026-03-18T05:01:56.8957209+05:00",
"UpdatePerson_ID": "3388f2f4-35f0-4ab3-aa1c-5a5f46127ceb",
"InstallationDate": "2026-03-18T05:01:56.8957209+05:00",
"Status": true,
"SendForExpens": [
{
"dtS": "2026-03-18T05:01:56.8957209+05:00",
"dtE": "2026-03-18T05:01:56.8957209+05:00",
"ID": "a8704515-9095-4ba0-9835-1d63aecce26c",
"VehicleService_ID": "d761c636-298e-43ae-b979-993cce5d0b4f",
"Department_ID": 3,
"Stock_ID": "046f1c40-df9e-445b-b35c-42d55d89ab6d",
"UnitOfMeasurement": 5,
"Quantity": 6,
"InventoryNumber": 7,
"Price": 8,
"Sum": 9,
"CreateDate": "2026-03-18T05:01:56.8957209+05:00",
"UpdatePerson_ID": "76952120-ec12-486f-be02-ee08c1f357b8",
"UpdateDate": "2026-03-18T05:01:56.8957209+05:00",
"StockIncoming_ID": "9002b6fb-f1ff-4b08-abe9-123546c2387b",
"Stock": {
"ID": "15eafa23-f3a1-4bda-89c2-056f55134df6",
"Code": 2,
"Name": "sample string 3",
"CreateDate": "2026-03-18T05:01:56.8957209+05:00"
}
},
{
"dtS": "2026-03-18T05:01:56.8957209+05:00",
"dtE": "2026-03-18T05:01:56.8957209+05:00",
"ID": "a8704515-9095-4ba0-9835-1d63aecce26c",
"VehicleService_ID": "d761c636-298e-43ae-b979-993cce5d0b4f",
"Department_ID": 3,
"Stock_ID": "046f1c40-df9e-445b-b35c-42d55d89ab6d",
"UnitOfMeasurement": 5,
"Quantity": 6,
"InventoryNumber": 7,
"Price": 8,
"Sum": 9,
"CreateDate": "2026-03-18T05:01:56.8957209+05:00",
"UpdatePerson_ID": "76952120-ec12-486f-be02-ee08c1f357b8",
"UpdateDate": "2026-03-18T05:01:56.8957209+05:00",
"StockIncoming_ID": "9002b6fb-f1ff-4b08-abe9-123546c2387b",
"Stock": {
"ID": "15eafa23-f3a1-4bda-89c2-056f55134df6",
"Code": 2,
"Name": "sample string 3",
"CreateDate": "2026-03-18T05:01:56.8957209+05:00"
}
}
],
"documents": [
{
"id": "82187e68-e728-4267-9f58-2c309bec79ef",
"documentType": 1,
"fileName": "sample string 1",
"fileType": "sample string 2",
"fileContent": "QEA=",
"createDate": "2026-03-18T05:01:56.8957209+05:00"
},
{
"id": "82187e68-e728-4267-9f58-2c309bec79ef",
"documentType": 1,
"fileName": "sample string 1",
"fileType": "sample string 2",
"fileContent": "QEA=",
"createDate": "2026-03-18T05:01:56.8957209+05:00"
}
],
"documentsForService": [
{
"id": "82187e68-e728-4267-9f58-2c309bec79ef",
"documentType": 1,
"fileName": "sample string 1",
"fileType": "sample string 2",
"fileContent": "QEA=",
"createDate": "2026-03-18T05:01:56.8957209+05:00"
},
{
"id": "82187e68-e728-4267-9f58-2c309bec79ef",
"documentType": 1,
"fileName": "sample string 1",
"fileType": "sample string 2",
"fileContent": "QEA=",
"createDate": "2026-03-18T05:01:56.8957209+05:00"
}
]
}
application/xml, text/xml
Sample:
<VehicleServiceM xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/CarPark.Models.Basic">
<Amount>1</Amount>
<CreateDate>2026-03-18T05:01:56.8957209+05:00</CreateDate>
<Description>sample string 4</Description>
<ExpireDate>2026-03-18T05:01:56.8957209+05:00</ExpireDate>
<ID>952a6cd8-c91f-4edf-b486-b6e342e94f1e</ID>
<InstallationDate>2026-03-18T05:01:56.8957209+05:00</InstallationDate>
<SendForExpens>
<SendForExpensM>
<CreateDate>2026-03-18T05:01:56.8957209+05:00</CreateDate>
<Department_ID>3</Department_ID>
<ID>a8704515-9095-4ba0-9835-1d63aecce26c</ID>
<InventoryNumber>7</InventoryNumber>
<Price>8</Price>
<Quantity>6</Quantity>
<Stock>
<Code>2</Code>
<CreateDate>2026-03-18T05:01:56.8957209+05:00</CreateDate>
<ID>15eafa23-f3a1-4bda-89c2-056f55134df6</ID>
<Name>sample string 3</Name>
</Stock>
<StockIncoming_ID>9002b6fb-f1ff-4b08-abe9-123546c2387b</StockIncoming_ID>
<Stock_ID>046f1c40-df9e-445b-b35c-42d55d89ab6d</Stock_ID>
<Sum>9</Sum>
<UnitOfMeasurement>5</UnitOfMeasurement>
<UpdateDate>2026-03-18T05:01:56.8957209+05:00</UpdateDate>
<UpdatePerson_ID>76952120-ec12-486f-be02-ee08c1f357b8</UpdatePerson_ID>
<VehicleService_ID>d761c636-298e-43ae-b979-993cce5d0b4f</VehicleService_ID>
<dtE>2026-03-18T05:01:56.8957209+05:00</dtE>
<dtS>2026-03-18T05:01:56.8957209+05:00</dtS>
</SendForExpensM>
<SendForExpensM>
<CreateDate>2026-03-18T05:01:56.8957209+05:00</CreateDate>
<Department_ID>3</Department_ID>
<ID>a8704515-9095-4ba0-9835-1d63aecce26c</ID>
<InventoryNumber>7</InventoryNumber>
<Price>8</Price>
<Quantity>6</Quantity>
<Stock>
<Code>2</Code>
<CreateDate>2026-03-18T05:01:56.8957209+05:00</CreateDate>
<ID>15eafa23-f3a1-4bda-89c2-056f55134df6</ID>
<Name>sample string 3</Name>
</Stock>
<StockIncoming_ID>9002b6fb-f1ff-4b08-abe9-123546c2387b</StockIncoming_ID>
<Stock_ID>046f1c40-df9e-445b-b35c-42d55d89ab6d</Stock_ID>
<Sum>9</Sum>
<UnitOfMeasurement>5</UnitOfMeasurement>
<UpdateDate>2026-03-18T05:01:56.8957209+05:00</UpdateDate>
<UpdatePerson_ID>76952120-ec12-486f-be02-ee08c1f357b8</UpdatePerson_ID>
<VehicleService_ID>d761c636-298e-43ae-b979-993cce5d0b4f</VehicleService_ID>
<dtE>2026-03-18T05:01:56.8957209+05:00</dtE>
<dtS>2026-03-18T05:01:56.8957209+05:00</dtS>
</SendForExpensM>
</SendForExpens>
<ServiceType_ID>3</ServiceType_ID>
<Status>true</Status>
<UpdatePerson_ID>3388f2f4-35f0-4ab3-aa1c-5a5f46127ceb</UpdatePerson_ID>
<Vehicle_ID>d4b1b067-36f6-424f-9562-e5e8ddebef32</Vehicle_ID>
<documents>
<DocumentM>
<createDate>2026-03-18T05:01:56.8957209+05:00</createDate>
<documentType>1</documentType>
<fileContent>QEA=</fileContent>
<fileName>sample string 1</fileName>
<fileType>sample string 2</fileType>
<id>82187e68-e728-4267-9f58-2c309bec79ef</id>
</DocumentM>
<DocumentM>
<createDate>2026-03-18T05:01:56.8957209+05:00</createDate>
<documentType>1</documentType>
<fileContent>QEA=</fileContent>
<fileName>sample string 1</fileName>
<fileType>sample string 2</fileType>
<id>82187e68-e728-4267-9f58-2c309bec79ef</id>
</DocumentM>
</documents>
<documentsForService>
<DocumentM>
<createDate>2026-03-18T05:01:56.8957209+05:00</createDate>
<documentType>1</documentType>
<fileContent>QEA=</fileContent>
<fileName>sample string 1</fileName>
<fileType>sample string 2</fileType>
<id>82187e68-e728-4267-9f58-2c309bec79ef</id>
</DocumentM>
<DocumentM>
<createDate>2026-03-18T05:01:56.8957209+05:00</createDate>
<documentType>1</documentType>
<fileContent>QEA=</fileContent>
<fileName>sample string 1</fileName>
<fileType>sample string 2</fileType>
<id>82187e68-e728-4267-9f58-2c309bec79ef</id>
</DocumentM>
</documentsForService>
</VehicleServiceM>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
stringResponse Formats
application/json, text/json
Sample:
"sample string 1"
application/xml, text/xml
Sample:
<string xmlns="http://schemas.microsoft.com/2003/10/Serialization/">sample string 1</string>